using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Web;
using System.Web.Mvc;
using WebApplication1.Models;

namespace WebApplication1.Controllers {
  public class ExempleCustomTemplateController : Controller {
    public ActionResult Index() {
      ViewBag.Message = "Créez votre premier individu :";
      return View( new Individu() { Prenom = "Prénom-Composé", Nom = "Nom" } );
    }
    [HttpPost]
    public ActionResult Index( Individu qq1 ) {
      ViewBag.Message = $"OK, {qq1.Prenom} {qq1.Nom} est créé. Saisissez un nouvel individu :";
      ModelState.Clear();
      return View( new Individu() { Prenom = "Prénom-Composé", Nom = "Nom" } );
    }
  }
}